# BrowserSessionModule

Source:
  - constructors/browser-session.js, line 6

browserSessionBuilder description

### Methods

#### (static) clear() → {Promise.<any>}

Source:
  - constructors/browser-session.js, line 205

##### Returns:

Type
  Promise.<any>

#### (static) findItems(filter) → {Promise.<Object.<string, any>>}

Source:
  - constructors/browser-session.js, line 183

##### Parameters:

Name | Type | Description
--- | --- | ---
`filter` | function |

##### Returns:

Type
  Promise.<Object.<string, any>>

#### (static) getItem(key, returnResult) → {Promise.<any>}

Source:
  - constructors/browser-session.js, line 52

##### Parameters:

Name | Type | Description
--- | --- | ---
`key` | string |
`returnResult` | boolean |

##### Returns:

Type
  Promise.<any>

#### (static) getItems(keys) → {Promise.<Object.<string, any>>}

Source:
  - constructors/browser-session.js, line 130

##### Parameters:

Name | Type | Description
--- | --- | ---
`keys` | Array.<string> |

##### Returns:

Type
  Promise.<Object.<string, any>>

#### (static) removeItem(key, returnResult) → {Promise.<any>}

Source:
  - constructors/browser-session.js, line 109

##### Parameters:

Name | Type | Description
--- | --- | ---
`key` | string |
`returnResult` | boolean |

##### Returns:

Type
  Promise.<any>

#### (static) removeItems(keys) → {Promise.<Array.<any>>}

Source:
  - constructors/browser-session.js, line 170

##### Parameters:

Name | Type | Description
--- | --- | ---
`keys` | Array.<string> |

##### Returns:

Type
  Promise.<Array.<any>>

#### (static) setItem(key, val, returnResult) → {Promise.<any>}

Source:
  - constructors/browser-session.js, line 72

##### Parameters:

Name | Type | Description
--- | --- | ---
`key` | string |
`val` | any |
`returnResult` | boolean |

##### Returns:

Type
  Promise.<any>

#### (static) setItems(obj) → {Promise.<Array.<any>>}

Source:
  - constructors/browser-session.js, line 153

##### Parameters:

Name | Type | Description
--- | --- | ---
`obj` | Object.<string, any> |

##### Returns:

Type
  Promise.<Array.<any>>